Skip to content

/db-connections (POST)

POST
/db-connections
curl --request POST \
--url https://example.com/api/v1/db-connections \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "engine": "postgres", "host": "example", "port": 1, "database": "example", "username": "example", "password": "example", "tls": true, "readOnly": true }'
Media type application/json
object
name
required
string
>= 1 characters <= 120 characters
engine
required
Any of:
string
Allowed values: postgres
host
required
string
>= 1 characters <= 253 characters
port
required
integer
>= 1 <= 65535
database
required
string
>= 1 characters <= 128 characters
username
required
string
>= 1 characters <= 128 characters
password
required
string
<= 1024 characters
tls
boolean
readOnly
boolean

Default Response

Media type application/json
object
id
required
string
source
required
Any of:
string
Allowed values: managed
name
required
string
engine
required
Any of:
string
Allowed values: postgres
host
required
string
database
required
string
readOnly
required
boolean
appId
required
Any of:
string
Example
{
"source": "managed",
"engine": "postgres"
}

Default Response

Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"code": "example",
"detail": "example",
"instance": "example",
"errors": [
{
"path": "example",
"message": "example"
}
]
}